<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_roundabout_k2_content/assets/css/style.css');

$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

// Load Scripts
//------------------------------------------------------------------------

$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.10.2');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_base				= (int)$params->get('ext_load_base', 1);
$ext_load_roundabout_shapes	= (int)$params->get('ext_load_roundabout_shapes', 0);
$ext_load_easing			= (int)$params->get('ext_load_easing', 0);
$ext_load_drop_and_drag		= (int)$params->get('ext_load_drop_and_drag', 0);

$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();    
  
  
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}

if ($ext_load_base  > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_roundabout_k2_content/assets/js/jquery.roundabout.min.js"></script>');		
}	

if ($ext_load_roundabout_shapes  > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_roundabout_k2_content/assets/js/jquery.roundabout-shapes.min.js"></script>'); 
}

if ($ext_load_drop_and_drag > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_roundabout_k2_content/assets/js/jquery.event.drop-2.2.min.js"></script>'); 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_roundabout_k2_content/assets/js/jquery.event.drag-2.2.min.js"></script>'); 
}

if ($ext_load_easing > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_roundabout_k2_content/assets/js/jquery.easing.1.3.js"></script>');
}


$ext_width_block			= (int)$params->get('ext_width_block', 650);
$ext_height_block 			= (int)$params->get('ext_height_block', 350);
$ext_width_item				= (int)$params->get('ext_width_item', 150);
$ext_height_item			= (int)$params->get('ext_height_item', 100);

// Options roundabout http://fredhq.com/projects/roundabout#/api
//------------------------------------------------------------------------
$ext_bearing 				= $params->get('ext_bearing', '0.0');
$ext_tilt					= $params->get('ext_tilt', '0.0');
$ext_minZ					= (int)$params->get('ext_minz', 100);
$ext_maxZ					= (int)$params->get('ext_maxz', 280);
$ext_minOpacity				= $params->get('ext_minopacity', '0.4');
$ext_maxOpacity				= $params->get('ext_maxopacity', '1.0');
$ext_minScale				= $params->get('ext_minscale', '0.4');
$ext_maxScale				= $params->get('ext_maxscale', '1.0');
$ext_duration				= (int)$params->get('ext_duration', 600);
$ext_btnNext				= $params->get('ext_btnnext', 'null');
$ext_btnNextCallback		= $params->get('ext_btnnextcallback', 'function() {}');
$ext_btnPrev				= $params->get('ext_btnprev', 'null');
$ext_btnPrevCallback		= $params->get('ext_btnprevcallback', 'function() {}');	
$ext_btnToggleAutoplay		= $params->get('ext_btntoggleautoplay', 'null');
$ext_btnStartAutoplay		= $params->get('ext_btnstartautoplay', 'null');
$ext_btnStopAutoplay		= $params->get('ext_btnstopautoplay', 'null');
$ext_easing					= $params->get('ext_easing', 'swing');
$ext_clickToFocus			= $params->get('ext_clicktofocus', 'true');
$ext_clickToFocusCallback	= $params->get('ext_clicktofocuscallback', 'function() {}');
$ext_focusBearing			= $params->get('ext_focusbearing', '0.0');
$ext_shape					= $params->get('ext_shape', 'lazySusan');
$ext_debug					= $params->get('ext_debug', 'false');
$ext_startingChild			= (int)$params->get('ext_startingchild', 0);	
$ext_reflect				= $params->get('ext_reflect', 'false');
$ext_autoplay				= $params->get('ext_autoplay', 'false');
$ext_autoplayDuration		= (int)$params->get('ext_autoplayduration', 1000);
$ext_autoplayPauseOnHover	= $params->get('ext_autoplaypauseonhover', 'false');
$ext_autoplayCallback		= $params->get('ext_autoplaycallback', 'function() {}');		
$ext_autoplayInitialDelay	= (int)$params->get('ext_autoplayinitialdelay', 0);
$ext_enableDrag				= $params->get('ext_enabledrag', 'false');
$ext_dropDuration			= (int)$params->get('ext_dropduration', 600);
$ext_dropEasing 			= $params->get('ext_dropeasing', 'swing');
$ext_dropAnimateTo			= $params->get('ext_dropanimateto', 'nearest');
$ext_dropCallback			= $params->get('ext_dropcallback', 'function() {}');
$ext_dragAxis				= $params->get('ext_dragaxis', 'x');
$ext_dragFactor				= (int)$params->get('ext_dragfactor', 4);
$ext_triggerFocusEvents		= $params->get('ext_triggerfocusevents', 'true');	
$ext_triggerBlurEvents		= $params->get('ext_triggerblurevents', 'true');
$ext_responsive				= $params->get('ext_responsive', 'false');


// K2
//------------------------------------------------------------------------

if (K2_JVERSION != '15')
{
    $language = JFactory::getLanguage();
    $language->load('mod_k2.j16', JPATH_ADMINISTRATOR, null, true);
}
require_once (dirname(__FILE__).DS.'helper.php');

// Get component params
$componentParams = JComponentHelper::getParams('com_k2');

$items = modK2RoundaboutContentHelper::getItems($params);
if (count($items)){
	require JModuleHelper::getLayoutPath('mod_ext_roundabout_k2_content', $params->get('layout', 'default'));
}
?>