<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document->addCustomTag('
<style type="text/css">

ul#ext-roundabout-'.$ext_id.' {	
	height: '.$ext_height_block.'px; 
	width: '.$ext_width_block.'px; 
}

ul#ext-roundabout-'.$ext_id.' li {
	width: '.$ext_width_item.'px;
	height: '.$ext_height_item.'px;
	
}


</style>
');


?>

<script type="text/javascript">	
	jQuery(document).ready(function() {		
		var extroundabout = jQuery('#ext-roundabout-<?php echo $ext_id; ?>').roundabout({	
			bearing: <?php echo $ext_bearing; ?>,
			tilt: <?php echo $ext_tilt; ?>,
			minZ: <?php echo $ext_minZ; ?>,
			maxZ: <?php echo $ext_maxZ; ?>,
			minOpacity: <?php echo $ext_minOpacity; ?>,
			maxOpacity: <?php echo $ext_maxOpacity; ?>,
			minScale: <?php echo $ext_minScale; ?>,
			maxScale: <?php echo $ext_maxScale; ?>,
			duration: <?php echo $ext_duration; ?>,
			btnNext: <?php echo $ext_btnNext; ?>,
			btnNextCallback: <?php echo $ext_btnNextCallback; ?>,
			btnPrev: <?php echo $ext_btnPrev; ?>,
			btnPrevCallback: <?php echo $ext_btnPrevCallback; ?>,
			btnToggleAutoplay: <?php echo $ext_btnToggleAutoplay; ?>,
			btnStartAutoplay: <?php echo $ext_btnStartAutoplay; ?>,
			btnStopAutoplay: <?php echo $ext_btnStopAutoplay; ?>,
			easing: "<?php echo $ext_easing; ?>",
			clickToFocus: <?php echo $ext_clickToFocus; ?>,
			clickToFocusCallback: <?php echo $ext_clickToFocusCallback; ?>,
			focusBearing: <?php echo $ext_focusBearing; ?>,
			shape: "<?php echo $ext_shape; ?>",
			debug: <?php echo $ext_debug; ?>,
			startingChild: <?php echo $ext_startingChild; ?>,
			reflect: <?php echo $ext_reflect; ?>,
			autoplay: <?php echo $ext_autoplay; ?>,
			autoplayDuration: <?php echo $ext_autoplayDuration; ?>,
			autoplayPauseOnHover: <?php echo $ext_autoplayPauseOnHover; ?>,
			autoplayCallback: <?php echo $ext_autoplayCallback; ?>,
			autoplayInitialDelay: <?php echo $ext_autoplayInitialDelay; ?>,
			enableDrag: <?php echo $ext_enableDrag; ?>,
			dropDuration: <?php echo $ext_dropDuration; ?>,
			dropEasing: "<?php echo $ext_dropEasing; ?>",
			dropAnimateTo: "<?php echo $ext_dropAnimateTo; ?>",
			dropCallback: <?php echo $ext_dropCallback; ?>,
			dragAxis: "<?php echo $ext_dragAxis; ?>",
			dragFactor: <?php echo $ext_dragFactor; ?>,
			triggerFocusEvents: <?php echo $ext_triggerFocusEvents; ?>,
			triggerBlurEvents: <?php echo $ext_triggerBlurEvents; ?>,
			responsive: <?php echo $ext_responsive; ?>
		});
	});
</script>


<div class="mod_ext_roundabout_k2_content <?php echo $moduleclass_sfx ?>">
	
	<ul id="ext-roundabout-<?php echo $ext_id; ?>" class="" >	
	<?php if(count($items)): ?>
		<?php foreach ($items as $key=>$item):	?>
		<li class="ext-roundabout-item">
		<div class="ext-item-wrap">	 

			<?php if($params->get('itemTitle')): ?>
			<div class="ext-itemtitle">
				<a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
			</div>
			<?php endif; ?>


		    <?php if($params->get('itemImage') || $params->get('itemIntroText')): ?>
			
			    <?php if($params->get('itemImage') && isset($item->image)): ?>
				<div class="ext-itemimage">
					<a class="ext-moduleitemimage" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
						<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
					</a>
				</div>
			    <?php endif; ?>

				<?php if($params->get('itemIntroText')): ?>
				<div class="ext-itemintrotext"><?php echo $item->introtext; ?></div>
				<?php endif; ?>
		  
			<?php endif; ?>

			<?php if($params->get('itemExtraFields') && count($item->extra_fields)): ?>
			<div class="ext-moduleitemextrafields">
				<b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
				<ul>
					<?php foreach ($item->extra_fields as $extraField): ?>
							<?php if($extraField->value != ''): ?>
							<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
								<?php if($extraField->type == 'header'): ?>
								<h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
								<?php else: ?>
								<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
								<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
								<?php endif; ?>
								<div class="clr"></div>
							</li>
							<?php endif; ?>
					<?php endforeach; ?>
				</ul>
			</div>
			<?php endif; ?>
 

			<?php if($params->get('itemCategory')): ?>
			<?php echo JText::_('K2_IN') ; ?> <a class="moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
			<?php endif; ?>

		 
			<?php if($params->get('itemReadMore') && $item->fulltext): ?>
			<a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
				<?php echo JText::_('K2_READ_MORE'); ?>
			</a>
			<?php endif; ?>
	  
		</div>
		</li>
		<?php endforeach; ?>
	<?php endif; ?>	
	</ul>
	
	<div style="clear:both;"></div>
</div>